Bug 14465 - idmap_ad does not deal properly with a RFC4511 section 4.4.1 response
Summary: idmap_ad does not deal properly with a RFC4511 section 4.4.1 response
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind (show other bugs)
Version: unspecified
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL: https://lists.samba.org/archive/cifs-...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-14 07:27 UTC by Volker Lendecke
Modified: 2020-09-18 08:34 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.13 (42.30 KB, text/plain)
2020-08-25 19:55 UTC, Volker Lendecke
cs: review+
vl: ci-passed+
Details
Patch for 4.12 (42.50 KB, patch)
2020-08-25 19:57 UTC, Volker Lendecke
cs: review+
vl: ci-passed+
Details
Patch for 4.11 (42.52 KB, patch)
2020-08-25 19:59 UTC, Volker Lendecke
cs: review+
vl: ci-passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2020-08-14 07:27:12 UTC

    
Comment 2 Volker Lendecke 2020-08-25 19:55:25 UTC
Created attachment 16183 [details]
Patch for 4.13

https://gitlab.com/samba-team/devel/samba/-/pipelines/181724916
Comment 3 Volker Lendecke 2020-08-25 19:57:40 UTC
Created attachment 16184 [details]
Patch for 4.12

https://gitlab.com/samba-team/devel/samba/-/pipelines/181839167
Comment 4 Volker Lendecke 2020-08-25 19:59:53 UTC
Created attachment 16185 [details]
Patch for 4.11

https://gitlab.com/samba-team/devel/samba/-/pipelines/181854264
Comment 5 Karolin Seeger 2020-08-31 08:13:21 UTC
Pushed to autobuild-v4-{13,12,11}-test.
Comment 6 Samba QA Contact 2020-09-03 15:46:08 UTC
This bug was referenced in samba v4-13-test commit 4f695a620550ba8ef32436b1a142e49e56450044
Comment 7 Samba QA Contact 2020-09-03 15:46:11 UTC
This bug was referenced in samba v4-13-test commit 67676bc4f5e22dfb2a0ef7704c5b3135b3b1d46e
Comment 8 Samba QA Contact 2020-09-03 15:46:12 UTC
This bug was referenced in samba v4-13-test commit 3824ce0de3bc53a35f414685dc78719429abfc19
Comment 9 Samba QA Contact 2020-09-03 15:46:13 UTC
This bug was referenced in samba v4-13-test commit 6179ac98e6f3ad0cf268905f54b8d86c39c7a7d9
Comment 10 Samba QA Contact 2020-09-03 15:46:18 UTC
This bug was referenced in samba v4-13-test commit 4b02185ecc11f096a47be5630f0f0b273ba2cd90
Comment 11 Samba QA Contact 2020-09-03 15:46:19 UTC
This bug was referenced in samba v4-13-test commit 4a4af2c2534ca1a8d31f448bcc1a2fa15c8509ac
Comment 12 Samba QA Contact 2020-09-03 15:46:20 UTC
This bug was referenced in samba v4-13-test commit a3758fa56eccc7034b3c859f010b0fb709162229
Comment 13 Samba QA Contact 2020-09-03 15:46:26 UTC
This bug was referenced in samba v4-13-test commit caf9cfa86530865e8eb1aa03742139567de29863
Comment 14 Karolin Seeger 2020-09-07 10:33:55 UTC
Pushed to all branches.
Closing out bug report.

Thanks!
Comment 15 Samba QA Contact 2020-09-18 08:34:09 UTC
This bug was referenced in samba v4-13-stable:

fa74a0a2f661f89c821aeb7840597d8193a45189
6179ac98e6f3ad0cf268905f54b8d86c39c7a7d9
caf9cfa86530865e8eb1aa03742139567de29863
3824ce0de3bc53a35f414685dc78719429abfc19
67676bc4f5e22dfb2a0ef7704c5b3135b3b1d46e
73deb8332a540b174868b5cc401c912cf55286ba
a3758fa56eccc7034b3c859f010b0fb709162229
4b02185ecc11f096a47be5630f0f0b273ba2cd90
468286f4c8a77465d9e7bb3d058219f5a20024b2
4f695a620550ba8ef32436b1a142e49e56450044
4a4af2c2534ca1a8d31f448bcc1a2fa15c8509ac
725dda2b80987aa3b730d1909419b648b1e3a495
c785fc601dee4eea76aa7bc6046812ae99860a74
1549dc562806a0c3b4ef39303cf5089e3a891892